package service

// tncService is the domain service for transportation network operations
type tncService struct {
	svc *Service
}

// newTncService returns an instance of tncService
func newTncService(svc *Service) *tncService {
	return &tncService{
		svc: svc,
	}
}

//GetETA will return the list of ETA's for the current location
func (s *tncService) GetETA(lag float64, log float64, params map[string]interface{}) (interface{}, error) {
	return s.svc.tnc.GetETA(lag, log, params)
}

//GetDrivers return the drivers for the current location
func (s *tncService) GetDrivers(lag float64, log float64) (interface{}, error) {
	return s.svc.tnc.GetDrivers(lag, log)
}

//GetTypes will return the available types of ride for the current location
func (s *tncService) GetTypes(lag float64, log float64, params map[string]interface{}) (interface{}, error) {
	return s.svc.tnc.GetTypes(lag, log, params)
}
